> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winwinkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User

> Permanently deletes a user along with their rewards, claimed codes and transactions. This cannot be undone. Note: this endpoint is only accessible with a secret API key.



## OpenAPI

````yaml delete /users/{app_user_id}
openapi: 3.0.0
info:
  title: WinWinKit API
  description: An API for interacting with WinWinKit.
  version: '1.0'
  contact:
    name: WinWinKit
    url: https://winwinkit.com
    email: support@winwinkit.com
servers:
  - url: https://api.winwinkit.com
    description: Production
security: []
tags:
  - name: Users
    description: User endpoints
  - name: Claim Actions
    description: Claim actions endpoints
  - name: Rewards Actions
    description: Rewards actions endpoints
  - name: Analytics
    description: Analytics endpoints
  - name: Affiliates
    description: Affiliates endpoints
paths:
  /users/{app_user_id}:
    delete:
      tags:
        - Users
      summary: Delete User
      description: >-
        Permanently deletes a user along with their rewards, claimed codes and
        transactions. This cannot be undone. Note: this endpoint is only
        accessible with a secret API key.
      operationId: deleteUser
      parameters:
        - name: app_user_id
          required: true
          in: path
          description: The app user id of the user to delete.
          schema:
            type: string
        - name: x-api-key
          in: header
          description: The secret API key.
          required: true
          schema:
            type: string
      responses:
        '204':
          description: The user has been deleted.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorsResponse'
        '404':
          description: The user has not been found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorsResponse'
components:
  schemas:
    ErrorsResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorObject'
      description: Errors Response
      required:
        - errors
    ErrorObject:
      type: object
      properties:
        code:
          type: string
        status:
          type: integer
        message:
          type: string
        source:
          type: string
          nullable: true
      description: Error Object
      required:
        - code
        - status
        - message
        - source

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.